Priority: Normal

Assignee:

Category: GPS Live Tracking

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21294

Description

GPS Information panel

problem: on QGIS start the Autodetect connection is always selected even though another, like Serial device, was previously used and

should have been restored. This is rather annoying.

This occurs on Windows. I believe Linux or Mac versions are also affected.

Also, the 'H accurancy' (sic) and 'V accurancy' fields always show -1 when GPS is connected.

I found in qgsgpsinformationwidget.cpp that there is a test for HAVE_QT_MOBILITY_LOCATION not defined that forces the Autodetect

to be selected (negating the restored choice) and the Internal button to be disabled.

Note that that the labels are misspelled as '... accurancy' intead of '... accuracy' -- the ui file needs to be fixed.

As the test is for a compile-time setting the user has absolutely no influence on, I consider that the Internal radiobutton being displayed

when there is no Internal availability is just noise. Therefore it should be hidden.

Additionally, I find that the H accurancy and V accurancy display fields' data are from the internal location module.  These are also noise

as they don't get any data if there is no internal connection.

I offer a patch to change the behavior to:

1. setting Autodetect only if Internal just happened to be the stored connection (it shouldn't happen in normal use)

2. hiding the Internal radiobutton

3. hiding the H and V accuracy labels/text boxes

when HAVE_QT_MOBILITY_LOCATION is not defined.

The patch was taken against final-2_10_1 tag, but should be applied to head. And perhaps back port to other branches that may have

further releases.

Associated revisions

Revision 9d5f2892 - 2017-03-24 12:58 AM - Steven Mizuno

hide Internal connection if build is without WITH_QTMOBILITY cmake setting

use previously set connection; set Autodetect only if Internal happened to be the stored setting.

fix #13233

History

#1 - 2015-09-10 05:12 AM - Giovanni Manghi
- Status changed from Open to Feedback

Hi,

if possible please submit this patch as pull request on github, thanks!

#2 - 2015-09-27 11:18 AM - Steven Mizuno

see PR https://github.com/qgis/QGIS/pull/2338

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#4 - 2015-12-20 09:53 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-03-23 04:51 PM - Steven Mizuno

- Status changed from Open to Closed

Fixed in changeset commit:"9d5f28921d185705303ce689fee84757f8990a3c".
